org.richfaces.component

## Enum UIGraphValidator.Properties

- java.lang.Object
- - java.lang.Enum<UIGraphValidator.Properties>
  - - org.richfaces.component.UIGraphValidator.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIGraphValidator.Properties>
  Enclosing class:
    UIGraphValidator

      protected static enum UIGraphValidator.Properties
      extends Enum<UIGraphValidator.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `groups`
    `summary`
    `type`
    `value`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIGraphValidator.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIGraphValidator.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### groups

          public static final UIGraphValidator.Properties groups

    - #### summary

          public static final UIGraphValidator.Properties summary

    - #### type

          public static final UIGraphValidator.Properties type

    - #### value

          public static final UIGraphValidator.Properties value

  - ### Method Detail

    - #### values

          public static UIGraphValidator.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIGraphValidator.Properties c : UIGraphValidator.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIGraphValidator.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.